Loading...
Searching...
No Matches
minimiser.hpp File Reference

Provides seqan3::views::minimiser. More...

`#include <algorithm>`
`#include <deque>`
`#include <seqan3/core/detail/empty_type.hpp>`
`#include <seqan3/core/range/detail/adaptor_from_functor.hpp>`
`#include <seqan3/core/range/type_traits.hpp>`
`#include <seqan3/utility/range/concept.hpp>`
`#include <seqan3/utility/type_traits/lazy_conditional.hpp>`
Include dependency graph for minimiser.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Variables

constexpr auto | seqan3::views::minimiser
| Computes minimisers for a range of comparable values. A minimiser is the smallest value in a window.

## Detailed Description

Provides seqan3::views::minimiser.

Author
  Mitra Darvish <mitra.darvish AT fu-berlin.de>

Hide me